Skip to Content

List mail history imports

Lists the most recent history imports for a mailbox. Request: GET /v1/mailboxes/{id}/imports. Scope: mailboxes:read.

GET
/v1/mailboxes/{id}/imports

Lists the most recent history imports for a mailbox.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.listImports({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "mailboxId": "string",
      "status": "queued",
      "imported": 0,
      "skippedDuplicate": 0,
      "skippedSpamTrash": 0,
      "failed": 0,
      "failures": [
        {
          "offset": 0,
          "message": "string"
        }
      ]
    }
  ]
}

Related documentation